% Matrix Computation Toolbox.
% Version 1.2             5-Sep-2002
% Copyright (c) 2002 by N. J. Higham
%
% Demonstration
%   mctdemo - Demonstration of Matrix Computation Toolbox.
%
% Test Matrices
%   augment   - Augmented system matrix.
%   gfpp      - Matrix giving maximal growth factor for Gaussian elimination
%               with partial pivoting.
%   makejcf   - A matrix with specified Jordan canonical form.
%   rschur    - An upper quasi-triangular matrix.
%   vand      - Vandermonde matrix.
%   vecperm   - Vec-permutation matrix.
%
% Visualization
%   fv        - Field of values (or numerical range).
%   gersh     - Gershgorin disks.
%   ps        - Dot plot of a pseudospectrum.
%   pscont    - Contours and colour pictures of pseudospectra.
%   see       - Pictures of a matrix.
%
% Factorizations and Decompositions
%   cholp     - Cholesky factorization with pivoting of a positive semidefinite
%               matrix.
%   cod       - Complete orthogonal decomposition.
%   gep       - Gaussian elimination with pivoting: none, complete, partial or
%               rook.
%   gj        - Gauss-Jordan elimination with partial pivoting to solve Ax = b.
%   gqr       - Generalized QR factorization.
%   gs_c      - Classical Gram-Schmidt QR factorization.
%   gs_m      - Modified Gram-Schmidt QR factorization.
%   ldlt_skew - Block LDL^T factorization for a skew-symmetric matrix.
%   ldlt_symm - Block LDL^T factorization for a symmetric indefinite matrix.
%   ldlt_sytr - Block LDL^T factorization for a symmetric tridiagonal
%               matrix.
%   matsignt  - Matrix sign function of a triangular matrix.
%   poldec    - Polar decomposition.
%   signm     - Matrix sign decomposition.
%   trap2tri  - Unitary reduction of trapezoidal matrix to triangular form.
%
% Direct Search Optimization
%   adsmax    - Alternating directions method.
%   mdsmax    - Multidirectional search method.
%   mmsmax    - Nelder-Mead simplex method.
%
% Miscellaneous
%   chop      - Round matrix elements.
%   cpltaxes  - Determine suitable AXIS for plot of complex vector.
%   dual      - Dual vector with respect to Holder p-norm.
%   lse       - Solve the equality constrained least squares problem.
%   matrix    - Matrix Computation Toolbox information and matrix access by
%               number.
%   pnorm     - Estimate of matrix p-norm (1 <= p <= inf).
%   rootm     - P'th root of a matrix.
%   seqcheb   - Sequence of points related to Chebyshev polynomials.
%   seqm      - Multiplicative sequence.
%   show      - Display signs of matrix elements.
%   skewpart  - Skew-symmetric (skew-Hermitian) part.
%   sparsify  - Randomly set matrix elements to zero.
%   strassen  - Strassen's fast matrix multiplication algorithm.
%   strassenw - Strassen's fast matrix multiplication algorithm (Winograd
%               variant).
%   sub       - Principal submatrix.
%   symmpart  - Symmetric (Hermitian) part.
%   treshape  - Reshape vector to or from (unit) triangular matrix.
